EZCart Docs
Api

Store Checkout_complete Checkout

Complete the checkout: validate cart, create order, initiate payment if online. For guest checkout, provide customerName/customerEmail/customerPhone. Returns the created order with an access token for guest order lookup.

POST
/v1/store/checkout/{cartId}/complete

Path Parameters

cartId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://loading/v1/store/checkout/string/complete" \  -H "Content-Type: application/json" \  -d '{}'
{
  "orderAccessToken": "string",
  "orderId": "string",
  "orderNumber": "string",
  "payment": {
    "expiresAt": "string",
    "intentId": "string",
    "provider": "string",
    "redirectUrl": "string"
  },
  "paymentStatus": "string",
  "status": "string",
  "total": 0
}